## gate.event
Interface DocumentListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  DocumentEditor.EventsHandler

public interface DocumentListener
extends EventListener

A listener for document events (`DocumentEvent`).

Method Summary
`void` `annotationSetAdded(DocumentEvent e)` Called when a new `AnnotationSet` has been added
`void` `annotationSetRemoved(DocumentEvent e)` Called when an `AnnotationSet` has been removed

Method Detail

### annotationSetAdded

    public void annotationSetAdded(DocumentEvent e)

  Called when a new `AnnotationSet` has been added

### annotationSetRemoved

    public void annotationSetRemoved(DocumentEvent e)

  Called when an `AnnotationSet` has been removed